[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Message-Id: <201007032149.30704.npalix@diku.dk>
Date: Sat, 3 Jul 2010 21:49:30 +0200
From: Nicolas Palix <npalix@...u.dk>
To: Kulikov Vasiliy <segooon@...il.com>
Cc: Kernel Janitors <kernel-janitors@...r.kernel.org>,
Julia Lawall <julia@...u.dk>,
Gilles Muller <Gilles.Muller@...6.fr>,
Michal Marek <mmarek@...e.cz>, Sam Ravnborg <sam@...nborg.org>,
Joerg Roedel <joerg.roedel@....com>, cocci@...u.dk,
linux-kernel@...r.kernel.org
Subject: Re: [PATCH] coccicheck: use $KBUILD_EXTMOD when available
Hi,
On Saturday 03 July 2010 17:20:34 Kulikov Vasiliy wrote:
> Use $KBUILD_EXTMOD instead of $srctree when the latter is not null
> to use make M=somedir.
>
> Signed-off-by: Kulikov Vasiliy <segooon@...il.com>
> ---
> scripts/coccicheck | 8 +++++++-
> 1 files changed, 7 insertions(+), 1 deletions(-)
>
> diff --git a/scripts/coccicheck b/scripts/coccicheck
> index b8bcf1f..7d66a55 100755
> --- a/scripts/coccicheck
> +++ b/scripts/coccicheck
> @@ -1,5 +1,11 @@
> #!/bin/sh
>
> +if [ -n "$KBUILD_EXTMOD" ]; then
> + CHECK_DIR="$KBUILD_EXTMOD"
> +else
> + CHECK_DIR="$srctree"
> +fi
> +
> SPATCH="`which ${SPATCH:=spatch}`"
>
> if [ "$C" = "1" -o "$C" = "2" ]; then
> @@ -64,7 +70,7 @@ coccinelle () {
> echo ' http://coccinelle.lip6.fr/'
> echo ''
>
> - $SPATCH -D $MODE $FLAGS -sp_file $COCCI $OPT -dir $srctree || exit 1
> + $SPATCH -D $MODE $FLAGS -sp_file $COCCI $OPT -dir $CHECK_DIR || exit 1
> else
> $SPATCH -D $MODE $FLAGS -sp_file $COCCI $OPT $OPTIONS || exit 1
> fi
>
In doing so, the output of the patch mode will produce patches relative to $KBUILD_EXTMOD.
I am not sure of what most of developers want but if the patches must be relative to
the Linux kernel root, the following patch must be used.
Any preference ?
diff --git a/scripts/coccicheck b/scripts/coccicheck
index b8bcf1f..cda66a3 100755
--- a/scripts/coccicheck
+++ b/scripts/coccicheck
@@ -1,5 +1,12 @@
#!/bin/sh
+if [ -n "$KBUILD_EXTMOD" ]; then
+ CHECK_DIR="$srctree/$KBUILD_EXTMOD"
+ FLAGS="-patch $srctree"
+else
+ CHECK_DIR="$srctree"
+fi
+
SPATCH="`which ${SPATCH:=spatch}`"
if [ "$C" = "1" -o "$C" = "2" ]; then
@@ -10,12 +17,12 @@ if [ "$C" = "1" -o "$C" = "2" ]; then
# OPTIONS=$*
# Workaround for Coccinelle < 0.2.3
- FLAGS="-I $srctree/include -very_quiet"
+ FLAGS="-I $srctree/include -very_quiet $FLAGS"
shift $(( $# - 1 ))
OPTIONS=$1
else
ONLINE=0
- FLAGS="-very_quiet"
+ FLAGS="-very_quiet $FLAGS"
fi
if [ ! -x "$SPATCH" ]; then
@@ -64,7 +71,7 @@ coccinelle () {
echo ' http://coccinelle.lip6.fr/'
echo ''
- $SPATCH -D $MODE $FLAGS -sp_file $COCCI $OPT -dir $srctree || exit 1
+ $SPATCH -D $MODE $FLAGS -sp_file $COCCI $OPT -dir $CHECK_DIR || exit 1
else
$SPATCH -D $MODE $FLAGS -sp_file $COCCI $OPT $OPTIONS || exit 1
fi
--
Nicolas Palix
Web: http://www.diku.dk/~npalix/
--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/
Powered by blists - more mailing lists